[arch-commits] Commit in gnome-volume-manager/repos/gnome-i686 (3 files)

Jan de Groot jgc at archlinux.org
Sun Aug 31 16:03:44 EDT 2008


    Date: Sunday, August 31, 2008 @ 16:03:44
  Author: jgc
Revision: 11543

Add patch to match new icon names - rely on consolekit to check local access

Added:
  gnome-volume-manager/repos/gnome-i686/icon-name.patch
Modified:
  gnome-volume-manager/repos/gnome-i686/PKGBUILD
Deleted:
  gnome-volume-manager/repos/gnome-i686/gvm-check-local.patch

-----------------------+
 PKGBUILD              |   13 +++------
 gvm-check-local.patch |   64 ------------------------------------------------
 icon-name.patch       |   33 ++++++++++++++++++++++++
 3 files changed, 38 insertions(+), 72 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-31 19:55:56 UTC (rev 11542)
+++ PKGBUILD	2008-08-31 20:03:44 UTC (rev 11543)
@@ -4,27 +4,24 @@
 
 pkgname=gnome-volume-manager
 pkgver=2.22.5
-pkgrel=1
+pkgrel=2
 pkgdesc="GNOME daemon to auto-mount and manage media devices"
 arch=(i686 x86_64)
 license=('GPL')
 url=http://www.gnome.org/
-depends=('libgnomeui>=2.22.1' 'libnotify>=0.4.4' 'gnome-mount>=0.8')
-makedepends=('nautilus>=2.22.2' 'perlxml' 'pkgconfig')
+depends=('libgnomeui>=2.23.90' 'libnotify>=0.4.4' 'gnome-mount>=0.8' 'consolekit')
+makedepends=('nautilus>=2.23.90' 'perlxml' 'pkgconfig')
 install=gnome-volume-manager.install
 groups=('gnome-extra')
 options=(!emptydirs)
 source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2
 	gvm-mount-async.patch
-	gvm-check-local.patch)
-md5sums=('e761a5bdc8867419eb278c9e1a6a79ff'
-         '534b8b9633148bd975b2b9b518c41fb4'
-         '0171374e6bfda523c09a7dbfc1ec0c11')
+	icon-name.patch)
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np0 -i ${startdir}/src/gvm-mount-async.patch || return 1
-  patch -Np0 -i ${startdir}/src/gvm-check-local.patch || return 1
+  patch -Np1 -i ${srcdir}/icon-name.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --libexecdir=/usr/lib/gnome-volume-manager || return 1
   make || return 1

Deleted: gvm-check-local.patch
===================================================================
--- gvm-check-local.patch	2008-08-31 19:55:56 UTC (rev 11542)
+++ gvm-check-local.patch	2008-08-31 20:03:44 UTC (rev 11543)
@@ -1,64 +0,0 @@
---- src/manager.c.orig	2008-03-16 15:14:05.000000000 +0000
-+++ src/manager.c	2008-03-16 15:16:03.000000000 +0000
-@@ -3637,58 +3637,9 @@
- static gboolean
- gvm_user_is_local_fallback (void)
- {
--	static guint local = 0;
--	struct dirent *dent;
--	struct utmp *utmp;
--	const char *user;
--	char *vtend;
--	size_t n;
--	DIR *dir;
--	int vt;
--	
--	if (local & LOCAL_USER_CHECKED)
--		return (local & LOCAL_USER_FOUND);
--	
--	user = g_get_user_name ();
--	n = strlen (user);
--	
--	if (!(dir = opendir (GVM_CONSOLE_AUTH_DIR)))
--		goto fallback;
--	
--	/* this works for pam_console ($path/user) and pam_foreground ($path/user:vt) - see bug #336932 */
--	while ((dent = readdir (dir))) {
--                if (!strncmp (user, dent->d_name, n)
--		    && (dent->d_name[n] == '\0'
--			|| (dent->d_name[n] == ':'
--			    && ((vt = strtol (dent->d_name + n + 1, &vtend, 10)) >= 0)
--			    && *vtend == '\0'))) {
--			local = LOCAL_USER_FOUND;
--			break;
--		}
--	}
--	
--	closedir (dir);
--	
-- fallback:
--	
--	if (!(local & LOCAL_USER_FOUND)) {
--		setutent ();
--		
--		while (!(local & LOCAL_USER_FOUND) && (utmp = getutent ())) {
--			if (utmp->ut_type != USER_PROCESS || strncmp (utmp->ut_user, user, n) != 0)
--				continue;
--			
--			/* only accept local X sessions or local tty's (user started X via `startx`) */
--			local = (utmp->ut_line[0] == ':' && utmp->ut_line[1] >= '0' && utmp->ut_line[1] <= '9')
--				|| !strncmp (utmp->ut_line, "tty", 3) ? LOCAL_USER_FOUND : 0;
--		}
--		
--		endutent ();
--	}
--	
--	local |= LOCAL_USER_CHECKED;
--	
--	return (local & LOCAL_USER_FOUND);
-+	const gchar* display;
-+	display = g_getenv("DISPLAY");
-+	return (display != NULL && display[0] == ':');
- }
- #endif /* __linux__ */
- 

Added: icon-name.patch
===================================================================
--- icon-name.patch	                        (rev 0)
+++ icon-name.patch	2008-08-31 20:03:44 UTC (rev 11543)
@@ -0,0 +1,33 @@
+--- trunk/src/properties.c	2008/04/26 15:36:01	1364
++++ trunk/src/properties.c	2008/08/01 17:21:41	1381
+@@ -382,7 +382,7 @@
+ 	g_signal_connect (theme, "changed", G_CALLBACK (theme_changed_cb), xml);
+ 	theme_changed_cb (theme, xml);
+ 	
+-	gtk_window_set_default_icon_name ("gnome-dev-cdrom");
++	gtk_window_set_default_icon_name ("drive-optical");
+ 	
+ 	gvm_settings_hash = g_hash_table_new (g_str_hash, g_str_equal);
+ 	for (i = 0; i < G_N_ELEMENTS (gvm_settings); i++) {
+--- trunk/gnome-volume-properties.desktop.in	2007/04/13 15:19:39	1169
++++ trunk/gnome-volume-properties.desktop.in	2008/08/01 17:40:09	1382
+@@ -2,7 +2,7 @@
+ Encoding=UTF-8
+ _Name=Removable Drives and Media
+ _Comment=Configure management of removable drives and media
+-Icon=gnome-dev-cdrom
++Icon=drive-optical
+ Exec=gnome-volume-properties
+ Terminal=false
+ Type=Application
+--- trunk/gnome-volume-manager.desktop.in.in	2007/12/07 03:49:45	1286
++++ trunk/gnome-volume-manager.desktop.in.in	2008/08/01 17:21:41	1381
+@@ -2,7 +2,7 @@
+ Encoding=UTF-8
+ _Name=Volume Manager
+ _Comment=Volume manager for removable drives and media
+-Icon=gnome-dev-cdrom
++Icon=drive-optical
+ Exec=@libexecdir@/gnome-volume-manager --sm-disable
+ Terminal=false
+ Type=Application




More information about the arch-commits mailing list